com.smartgwt.client.types

## Enum PercentBoxModel

- java.lang.Object
- - java.lang.Enum<PercentBoxModel>
  - - com.smartgwt.client.types.PercentBoxModel

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<PercentBoxModel>

      public enum PercentBoxModel
      extends java.lang.Enum<PercentBoxModel>
      implements ValueEnum

  Determines sizing model when sizing / positioning a canvas relative to its `percentBox`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `VIEWPORT` use coordinates relative to the {`Canvas.getViewportHeight()`,viewportHeight} and width of the other canvas
    `VISIBLE` use coordinates relative to the {`Canvas.getVisibleHeight()`,visibleHeight} and width of the other canvas

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static PercentBoxModel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PercentBoxModel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VISIBLE

          public static final PercentBoxModel VISIBLE

      use coordinates relative to the {`Canvas.getVisibleHeight()`,visibleHeight} and width of the other canvas

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "visible".

    - #### VIEWPORT

          public static final PercentBoxModel VIEWPORT

      use coordinates relative to the {`Canvas.getViewportHeight()`,viewportHeight} and width of the other canvas

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "viewport".

  - ### Method Detail

    - #### values

          public static PercentBoxModel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PercentBoxModel c : PercentBoxModel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PercentBoxModel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`